# Импортируем необходимые библиотеки
from machine import Pin, SPI, PWM
import framebuf
import time
from amperka_pico_lcd_1n14in import lcd_1n14in


# Создаём объект для работы с дисплеем
lcd = lcd_1n14in.LCD_1n14in()
# Устанавливаем яркость в диапазоне от 0 до 65535
lcd.set_brightness(32768)
# Заливаем весь дисплей белым цветом
lcd.fill(lcd.white)
# Обновляем содержимое дисплея
lcd.show()


# Выводим текст
lcd.text("Raspberry Pi Pico", 60, 40, lcd.red)
lcd.text("Hello, world!", 60, 60, lcd.green)
lcd.text("Amperka DIY", 60, 80, lcd.blue)


# Рисуем квадрат отдельно по линиям
lcd.hline(10, 10, 220, lcd.blue)
lcd.hline(10, 125, 220, lcd.blue)
lcd.vline(10, 10, 115, lcd.blue)
lcd.vline(230, 10, 115, lcd.blue)

# Рисуем четыре квадрата по углам
lcd.rect(12, 12, 20, 20, lcd.red)
lcd.rect(12, 103, 20, 20, lcd.red)
lcd.rect(208, 12, 20, 20, lcd.red)
lcd.rect(208, 103, 20, 20, lcd.red)
# Обновляем содержимое дисплея
lcd.show()


# В зависимости от нажатой кнопки
# Закрашиваем красным цветом соответствующий квадрат
while(True):
    if not lcd.key0.value():
        lcd.fill_rect(12, 12, 20, 20, lcd.red)
    else:
        lcd.fill_rect(12, 12, 20, 20, lcd.white)
        lcd.rect(12, 12, 20, 20, lcd.red)

    if not lcd.key1.value():
        lcd.fill_rect(12, 103, 20, 20, lcd.red)
    else:
        lcd.fill_rect(12, 103, 20, 20, lcd.white)
        lcd.rect(12, 103, 20, 20, lcd.red)

    if not lcd.key2.value():
        lcd.fill_rect(208, 12, 20, 20, lcd.red)
    else:
        lcd.fill_rect(208, 12, 20, 20, lcd.white)
        lcd.rect(208, 12, 20, 20, lcd.red)

    if not lcd.key3.value():
        lcd.fill_rect(208, 103, 20, 20, lcd.red)
    else:
        lcd.fill_rect(208, 103, 20, 20, lcd.white)
        lcd.rect(208, 103, 20, 20, lcd.red)

    lcd.show()
